---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id:
      - 2c01cbd7-acc2-56f6-b2fa-075eaee4366a
      tier: AATSR_CMP_MONTH
      value: 0.06217634305357933
    brdf:
      alpha_1:
        band_1: 0.29620291789584563
        band_11: 0.27790594644185485
        band_12: 0.17055136007347915
        band_2: 0.29620291789584563
        band_3: 0.3856517272126978
        band_4: 0.2799812940892199
        band_5: 0.2799812940892199
        band_6: 0.2799812940892199
        band_7: 0.33243812018180924
        band_8: 0.33243812018180924
        band_8a: 0.33243812018180924
      alpha_2:
        band_1: 0.1255170433906663
        band_11: 0.11326868675906056
        band_12: 0.12897119519146188
        band_2: 0.1255170433906663
        band_3: 0.10959736474008083
        band_4: 0.12323557347668798
        band_5: 0.12323557347668798
        band_6: 0.12323557347668798
        band_7: 0.11193140459773772
        band_8: 0.11193140459773772
        band_8a: 0.11193140459773772
      id:
      - df2df0cd-07f3-5b40-b755-ca9acf7e9c6c
      - 56103f02-3eb4-5c57-9789-8191f8485f63
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - 471e3c03-1c60-5329-a764-85d6b1e63c78
      tier: DEFINITIVE
      value: 0.281
    water_vapour:
      id:
      - 9f826700-6cce-5b2f-9732-7cf45cd8f841
      tier: DEFINITIVE
      value: 2.2299999237060546
  id: e5451881-90f2-4722-ac23-017fb6a0bde3
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 2013.6230829937854
      BAND-11: 245.14741822797978
      BAND-12: 83.84199283199912
      BAND-2: 2058.3201962987505
      BAND-3: 1927.2329413287396
      BAND-4: 1573.5852138929927
      BAND-5: 1452.6218944145514
      BAND-6: 1325.5218675643075
      BAND-7: 1213.4403687608524
      BAND-8: 1074.7081460082868
      BAND-8A: 980.048940790022
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2018-12-18 00:45:32.403000Z
    atime: 2022-05-26 11:29:46Z
    ctime: 2018-12-18 04:40:59Z
    mtime: 2018-12-18 04:40:53Z
    owner_id: '12232'
    platform_id: SENTINEL_2A
    sensor_id: MSI
    source_level1: /g/data/up71/projects/ARD_implementation_validation/ARD_fieldwork_L1C/S2A_MSIL1C_20181218T003701_N0207_R059_T54JWL_20181218T020452.zip
  system_information:
    hostname: gadi-cpu-clx-0899.gadi.nci.org.au
    runtime_id: 25a4b596-dce7-11ec-bb0b-0000018ffe80
    time_processed: 2022-05-26 11:29:46.864109Z
    uname: 'Linux gadi-cpu-clx-0899.gadi.nci.org.au 4.18.0-348.20.1.el8.nci.x86_64
      #1 SMP Wed Mar 16 11:37:35 AEDT 2022 x86_64'
gqa:
  colors:
    blue: 42.0
    green: 1949.0
    red: 5.0
    teal: 866.0
    yellow: 6.0
  error_message: no errors
  final_qa_count: 2333
  granule: S2A_OPER_MSI_L1C_TL_EPAE_20181218T020452_A018217_T54JWL_N02.07
  ref_date: '2014-09-07T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata/GCP/GQA_v3/wrs2/096/081/LC80960812014250LGN00_B6.TIF
  residual:
    abs:
      x: 0.39
      xy: 0.44
      y: 0.21
    abs_iterative_mean:
      x: 0.36
      xy: 0.39
      y: 0.13
    cep90: 0.57
    iterative_mean:
      x: 0.36
      xy: 0.36
      y: -0.02
    iterative_stddev:
      x: 0.15
      xy: 0.22
      y: 0.16
    mean:
      x: 0.36
      xy: 0.36
      y: -0.01
    stddev:
      x: 0.5
      xy: 0.6
      y: 0.34
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 99.99883875634123
    cloud: 0.0
    cloud_shadow: 0.0
    snow: 0.00046781530253715153
    water: 0.0006934283562430118
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 100.0
    cloud: 0.0
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.8.1
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.1
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.0
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.27.3
...
